import { BaseDataSeries } from "../BaseDataSeries";
import { XyyCustomFilter } from "./XyyCustomFilter";
import type { IXyyFilterOptions } from "./XyyFilterBase";
export interface IXyyScaleOffsetFilterOptions extends IXyyFilterOptions {
    scale?: number;
    offset?: number;
}
export declare class XyyScaleOffsetFilter extends XyyCustomFilter {
    private scaleProperty;
    private offsetProperty;
    get scale(): number;
    set scale(value: number);
    get offset(): number;
    set offset(value: number);
    constructor(originalSeries: BaseDataSeries, options?: IXyyScaleOffsetFilterOptions);
    toJSON(excludeData?: boolean): {
        options: IXyyScaleOffsetFilterOptions & {
            filter?: any;
        };
        type: import("../IDataSeries").EDataSeriesType;
    };
    protected filterFunctionProperty(index: number, y: number): number;
}
